## logtrend-httpagent 0.82.2-1

=== debian/changelog ===
logtrend-httpagent (0.82.2-1) unstable; urgency=low

  * New upstream version.
  * Fixed some dependencies problems.
  * Fixed documentation path.
  * Fixed control file (maintainer email address missing).

 -- Jean-Francois Dive <jef@debian.org>  Tue, 30 Jul 2002 18:31:21 +1000

logtrend-httpagent (0.81-4) unstable; urgency=low

  * New Maintainer (closes: #134846).
  * Fixed description (closes: #135471).
  * Interim release, new upstream version integration is pending on crypto
    integration in main.

 -- Jean-Francois Dive <jef@linuxbe.org>  Wed, 27 Mar 2002 13:49:53 +1100

logtrend-httpagent (0.81-3) unstable; urgency=low

  * Orphaned becouse I'll no longer use this

 -- Maurizio Boriani <baux@debian.org>  Tue, 19 Feb 2002 13:24:51 +0100

logtrend-httpagent (0.81-2) unstable; urgency=low

  * Fixed description (closes: Bug#128201). 

 -- Maurizio Boriani <baux@debian.org>  Tue,  8 Jan 2002 10:45:35 +0100

logtrend-httpagent (0.81-1) unstable; urgency=low

  * Initial Release.

 -- Maurizio Boriani <baux@debian.org>  Thu,  6 Dec 2001 16:27:18 +0100
