=== debian/control ===
Source: logtrend-httpagent
Section: net
Priority: optional
Maintainer: Jean-Francois Dive <jef@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: logtrend-httpagent
Section: net
Architecture: any
Depends: ${perl:Depends},liblogtrend-action-perl, liblogtrend-agent-perl (>= 0.82.2-1) , logtrend-agentdescr, liblogtrend-crypto-perl
Description: Daemon for httpd monitoring
 This perl daemon will test webserver availability with http requests
 and will send the status information to the storageserver. If the
 monitored service is a local apache server, virtualhost information
 are available.
